curl --request POST \
--url https://thirdparty.qonto.com/v2/international/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"beneficiary_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a43",
"target_account_id": "123456",
"details": {
"reference": "Payment for invoice #123"
},
"source_amount": {
"currency": "EUR",
"value": "100.00"
},
"target_amount": {
"currency": "EUR",
"value": "100.00"
},
"bank_account_id": "0196edb0-9b6e-7554-9864-d111285a0a42",
"attachment_ids": [
"0196edb0-9b6e-7554-9864-d111285a0a40"
]
}
'import requests
url = "https://thirdparty.qonto.com/v2/international/transfers"
payload = {
"beneficiary_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a43",
"target_account_id": "123456",
"details": { "reference": "Payment for invoice #123" },
"source_amount": {
"currency": "EUR",
"value": "100.00"
},
"target_amount": {
"currency": "EUR",
"value": "100.00"
},
"bank_account_id": "0196edb0-9b6e-7554-9864-d111285a0a42",
"attachment_ids": ["0196edb0-9b6e-7554-9864-d111285a0a40"]
}
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiary_id: '0196edb0-9b6e-7554-9864-d111285a0a44',
quote_id: '0196edb0-9b6e-7554-9864-d111285a0a43',
target_account_id: '123456',
details: {reference: 'Payment for invoice #123'},
source_amount: {currency: 'EUR', value: '100.00'},
target_amount: {currency: 'EUR', value: '100.00'},
bank_account_id: '0196edb0-9b6e-7554-9864-d111285a0a42',
attachment_ids: ['0196edb0-9b6e-7554-9864-d111285a0a40']
})
};
fetch('https://thirdparty.qonto.com/v2/international/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer": {
"id": "0d6273cf-e4d0-469a-a3c8-d2196143470c",
"beneficiary_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"bank_account_id": "0196edb0-9b6e-7554-9864-d111285a0a42",
"source_amount": {
"currency": "EUR",
"value": "100.00"
},
"target_amount": {
"currency": "USD",
"value": "110.00"
},
"status": "TRANSACTION_STATUS_PROCESSING"
}
}Create an international transfer
OAuth scope: international_transfer.write
Creates a new international transfer.
Example of SCA usage: Postman visual flow
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
4-eyes / payment policy: if the organization has a Transfer Authorization (4-eyes) policy configured and the transfer amount — including Qonto fees — crosses the threshold, this endpoint returns 400 with code: payment_policy_approval_required or code: payment_policy_approver_missing, and the transfer is not created. In that case, resubmit the same transfer via the Qonto app — a new International Transfer Request will be created and will go through the organization’s approval workflow before the transfer is executed.
details object for this endpoint is the same as the one used in the List Transfer
requirements endpoint.Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Learn more in Strong Customer Authentication.
paired-device, passkey, mock, sms-otp This endpoint requires an UUID as idempotency key. Learn more in Idempotent Requests.
"123e4567-e89b-12d3-a456-426614174000"
Learn more in Strong Customer Authentication.
Learn more in the SMS OTP Flow.
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
The beneficiary unique identifier
"0196edb0-9b6e-7554-9864-d111285a0a44"
The quote unique identifier
"0196edb0-9b6e-7554-9864-d111285a0a43"
The target account unique identifier. Retrieved after the beneficiary is created or updated
"123456"
Transfer detail contains all the information needed to create a transfer. The data is dynamic and should be retrieved through the transfer requirements endpoint.
{ "reference": "Payment for invoice #123" }
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The bank account unique identifier
"0196edb0-9b6e-7554-9864-d111285a0a42"
List of attachment IDs associated with the transaction
["0196edb0-9b6e-7554-9864-d111285a0a40"]
Response
Returns the created international transfer.
Show child attributes
Show child attributes
Was this page helpful?